#include <stdio.h>
#include <stdlib.h>
#include <sys/kernel.h>
#include <sys/name.h>
#include <sys/proxy.h>
#include <string.h>
#include <math.h>
#include <i86.h>
#include <unistd.h>

#include "ttdriver.h"
#include "regnames.h"
#include "panthermsg.h"
#include "convfunc.h"
#include "defcals.h"
#include "dac.h"

// used to set flows.  
void SetFlow( int chan, float setpoint ) {
	int dac;

	dac = convert_VtoD( convert_RtoV( setpoint, flowH_R1, flowH_V1, flowH_V0 ), 10 );
	tt_dac_out( chan, dac );
}

void SetPress( int chan, float setpoint, int type ) {
	int dac;

	if ( type == 0 ) // back press controller (0-100 psi)
		dac = convert_VtoD( convert_RtoV( setpoint, presH_R1, presH_V1, presH_V0 ), 10 );
	else 			// head press cont. (0-30)
		dac = convert_VtoD( convert_RtoV( setpoint, presL30_R1, presL30_V1, presL30_V0 ), 10 );

	tt_dac_out( chan, dac );
}

void SetTrapTemp( int chan, float setpoint ) {
	int dac;

	dac = convert_VtoD( convert_RtoV( setpoint, tempTrap_R1, tempTrap_V1, tempTrap_V0 ), 10 );
	tt_dac_out( chan, dac );
}
